Skip to main content
`Ctrl`+`K`

# MatGetType

Gets the matrix type as a string from the matrix object.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetType(Mat mat, MatType *type)

Not Collective

## Input Parameter

- mat - the matrix

## Output Parameter

- type - name of matrix type

## See Also

Matrices, `Mat`, `MatType`, `MatSetType()`

## Level

intermediate

## Location

src/mat/interface/matreg.c

## Examples

src/ksp/ksp/tutorials/ex29.c
src/ksp/ksp/tutorials/ex34.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages